detekt-api
1.21.0-RC2

# ValueWithReason

data class ValueWithReason (val value: String , val reason: String ? = null)
Content copied to clipboard

A ValueWithReason represents a single configuration value that may have an explanation as to why it is used.

## Constructors

ValueWithReason
Link copied to clipboard
fun ValueWithReason (value: String , reason: String ? = null)
Content copied to clipboard

## Properties

reason
Link copied to clipboard
val reason : String ? = null
Content copied to clipboard

an optional explanation for the configured value

value
Link copied to clipboard
val value : String
Content copied to clipboard

the actual value that is configured